package com.cpxt.biz.service;

import java.util.List;
import com.cpxt.biz.domain.TrackTemp;

/**
 * 车辆轨迹Service接口
 * 
 * @author YIN
 * @date 2024-12-18
 */
public interface ITrackTempService 
{
    /**
     * 查询车辆轨迹
     * 
     * @param id 车辆轨迹主键
     * @return 车辆轨迹
     */
    public TrackTemp selectTrackTempById(Long id);

    /**
     * 查询车辆轨迹列表
     * 
     * @param trackTemp 车辆轨迹
     * @return 车辆轨迹集合
     */
    public List<TrackTemp> selectTrackTempList(TrackTemp trackTemp);

    /**
     * 新增车辆轨迹
     * 
     * @param trackTemp 车辆轨迹
     * @return 结果
     */
    public int insertTrackTemp(TrackTemp trackTemp);

    /**
     * 修改车辆轨迹
     * 
     * @param trackTemp 车辆轨迹
     * @return 结果
     */
    public int updateTrackTemp(TrackTemp trackTemp);

}
